Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 6)
@@ -759,16 +904,16 @@
             try
             {
                 // 受注金額取得
-                double OrdersPrice = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
+                double OrdersPrice = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", ""));
 
                 // グループ名表示
-                CreateTitileRow((int)GroupName_ConstructionBudget.Expenses, GroupTitile[(int)GroupName_ConstructionBudget.Expenses]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.Expenses, GroupTitle[(int)GroupName_ConstructionBudget.Expenses]);
 
                 int icnt = 1;
-                foreach (object[] wrkExpense in ExpensesList)
+                foreach (object[] wrkExpense in m_ExpensesList)
                 {
                     // 経費率取得
-                    double dExpenses = CommonMotions.cnvDouble(wrkExpense[1]);
+                    double dExpenses = CommonMotions.cnvDouble(wrkExpense[(int)ExpensesArray.ExpensesRate]);
 
                     object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
                     // データセット
@@ -775,7 +920,7 @@
                     RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.Expenses;
                     
                     // 経費名称セット
-                    string strVallue = CommonMotions.cnvString(wrkExpense[0]);
+                    string strVallue = CommonMotions.cnvString(wrkExpense[(int)ExpensesArray.ExpensesName]);
                     RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", (int)GroupName_ConstructionBudget.Expenses, icnt);
                     RowData[(int)DispGridColumn.FixFlg] = "*";
                     RowData[(int)DispGridColumn.ItemName] = string.Format("{0}({1}%)", strVallue, dExpenses.ToString("0.00"));
@@ -808,7 +953,7 @@
             double dwork = 0;
 
             // 受注金額取得
-            double dBase = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
+            double dBase = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", ""));
             if (dBase == 0) return dwork;
 
             dwork = dInput / dBase * 100.0;
@@ -829,11 +974,8 @@
                 // 表示クリア
                 ClearDisplay();
 
-                // 予算データの存在確認
-                bool bBudget = ExistBudgetData();
-
                 // ヘッダー表示
-                if (!DispHeader(bBudget)) return;
+                if (!DispHeader()) return;
 
                 // グリッド行削除
                 dgvAllDisplay.Rows.Clear();
@@ -841,6 +983,36 @@
                 // データがある場合は表示を行う
                 if (InitDispData()) return;
                 
+                // データが無い場合は前プロセスデータから表示
+                NotBudgetData();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 表示行が足りない場合は追加する
+                SetBlankRow(dgvAllDisplay);
+
+                // 変更フラグのクリア
+                m_bChengeAns = false;
+            }
+        }
+        #endregion
+
+        #region 前プロセスデータよりの表示処理
+        /// <summary>
+        /// 前プロセスデータよりの表示処理
+        /// </summary>
+        /// <param name="bBudget"></param>
+        private void NotBudgetData()
+        {
+            try
+            {
+                // 積算予算データの存在確認
+                bool bBudget = ExistBudgetData();
+
                 // 経費セット
                 SetExpenses();
 
@@ -880,28 +1052,27 @@
                     SetDisposeCosts_Estimate();
                 }
 
-                // 16期以降は指導員金額を表示する
-                if (m_ConstructionBaseInfo.ConstructionPeriod >= 16)
-                {   // 指導員給与
-                    CreateInstructorCosts();
-                }
-                
-                // 粗利益
-                CreateGrossProfit();
-                CalculateGrossProfit();
+                // 粗利益行作成
+                CreateGrossProfit(true);
 
-                
-                // 16期以降は給与を表示する
+                // 16期以降は人件費金額を表示する
                 if (m_ConstructionBaseInfo.ConstructionPeriod >= 16)
-                {   // 給与経費
-                    CreatePayrollExpenses(true);
+                {
+                    // 指導員給与
+                    CreateInstructorCosts(true);
 
+                    // 副担当者給与経費
+                    CreateAssistantCosts(true);
+
+                    // 担当者給与経費
+                    CreatePayrollCosts(true);
+
                     // 純利益
-                    CreateNetIncome();
+                    CreateNetIncome(true);
                 }
 
                 // 合計金額
-                CreateAllTotal();
+                CreateAllTotal(true);
 
             }
             catch (Exception ex)
@@ -908,14 +1079,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                // 表示行が足りない場合は追加する
-                SetBlankRow(dgvAllDisplay);
-
-                // 変更フラグのクリア
-                m_bChengeAns = false;
-            }
         }
         #endregion
 
@@ -959,6 +1122,13 @@
                     HopePriceValue += InstructorHope;
                     ExecPriceValue += InstructorExec;
 
+                    // 副担当者の給与取得
+                    int SubCreatorHope = 0;
+                    int SubCreatorExec = 0;
+                    GetAssistantLineValue(ref SubCreatorHope, ref SubCreatorExec);
+                    HopePriceValue += SubCreatorHope;
+                    ExecPriceValue += SubCreatorExec;
+
                     // 担当者の給与取得
                     int CreatorHope = 0;
                     int CreatorExec = 0;
@@ -991,42 +1161,13 @@
         }
         #endregion
 
-        #region 合計金額計算
+        #region 合計金額作成・再計算
         /// <summary>
-        /// 合計金額計算
+        /// 合計金額作成・再計算
         /// </summary>
-        private void CalculateAllTotal()
+        private void CreateAllTotal(bool CrearteRow)
         {
-            DataGridView dgv = dgvAllDisplay;
 
-            int EstimatePriceValue = 0;
-            int NegotiationPriceValue = 0;
-            int HopePriceValue = 0;
-            int ExecPriceValue = 0;
-            double PercentValue = 0;
-
-            // 合計値取得
-            GetDetailTotal(ref EstimatePriceValue, ref NegotiationPriceValue, ref HopePriceValue, ref ExecPriceValue, ref PercentValue, true);
-
-            // データセット
-            int LineCnt = m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine];
-            if (LineCnt == 0) return;
-            dgv.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value = EstimatePriceValue.ToString("#,0");
-            dgv.Rows[LineCnt].Cells[(int)DispGridColumn.NegotiationPrice].Value = NegotiationPriceValue.ToString("#,0");
-            dgv.Rows[LineCnt].Cells[(int)DispGridColumn.HopePrice].Value = HopePriceValue.ToString("#,0");
-            dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecPriceValue.ToString("#,0");
-            dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecPriceValue).ToString("0.00");
-
-        }
-        #endregion
-
-        #region 合計金額作成
-        /// <summary>
-        /// 合計金額作成
-        /// </summary>
-        private void CreateAllTotal()
-        {
-
             DataGridView dgv = dgvAllDisplay;
 
             int EstimatePriceValue = 0;
@@ -1038,43 +1179,56 @@
             // 合計値取得
             GetDetailTotal(ref EstimatePriceValue, ref NegotiationPriceValue, ref HopePriceValue, ref ExecPriceValue, ref PercentValue, true);
 
-            // 空白行
-            AddEmptyRow();
+            if (CrearteRow)
+            {
+                // 空白行
+                AddEmptyRow();
 
-            object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
-            // データセット
-            RowData[(int)DispGridColumn.FixFlg] = "*";
-            RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.AllTotal;
-            RowData[(int)DispGridColumn.ItemName] = GroupTitile[(int)GroupName_ConstructionBudget.AllTotal];
-            RowData[(int)DispGridColumn.EstimatePrice] = EstimatePriceValue.ToString("#,0");
-            RowData[(int)DispGridColumn.NegotiationPrice] = NegotiationPriceValue.ToString("#,0");
-            RowData[(int)DispGridColumn.HopePrice] = HopePriceValue.ToString("#,0");
-            RowData[(int)DispGridColumn.ExecPrice] = ExecPriceValue.ToString("#,0");
-            RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecPriceValue).ToString("0.00");
+                object[] RowData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
+                // データセット
+                RowData[(int)DispGridColumn.FixFlg] = "*";
+                RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.AllTotal;
+                RowData[(int)DispGridColumn.ItemName] = GroupTitle[(int)GroupName_ConstructionBudget.AllTotal];
+                RowData[(int)DispGridColumn.EstimatePrice] = EstimatePriceValue.ToString("#,0");
+                RowData[(int)DispGridColumn.NegotiationPrice] = NegotiationPriceValue.ToString("#,0");
+                RowData[(int)DispGridColumn.HopePrice] = HopePriceValue.ToString("#,0");
+                RowData[(int)DispGridColumn.ExecPrice] = ExecPriceValue.ToString("#,0");
+                RowData[(int)DispGridColumn.Percent] = CalculattionPercent((double)ExecPriceValue).ToString("0.00");
 
-            // 行セット
-            CreateDataRow(RowData, true);
+                // 行セット
+                CreateDataRow(RowData, true);
 
-            // 行位置取得
-            int LineCnt = dgv.RowCount - 1;
-            m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine] = LineCnt;
+                // 行位置取得
+                int LineCnt = dgv.RowCount - 1;
+                m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine] = LineCnt;
 
-            // 総合計フラグON
-            dgv.Rows[LineCnt].Cells[(int)DispGridColumn.TotalFlg].Value = 2;
+                // 総合計フラグON
+                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.TotalFlg].Value = 2;
 
-            // 工事価格計は行を大きくする
-            dgv.Rows[LineCnt].Height = dgv.RowTemplate.Height * 2;
-            float FontSize = dgv.DefaultCellStyle.Font.Size;
-            Font DrowFont = new Font(dgv.DefaultCellStyle.Font.FontFamily, FontSize * 2);
-            dgv.Rows[LineCnt].Cells[(int)DispGridColumn.No].Style.Font = DrowFont;
+                // 工事価格計は行を大きくする
+                dgv.Rows[LineCnt].Height = dgv.RowTemplate.Height * 2;
+                float FontSize = dgv.DefaultCellStyle.Font.Size;
+                Font DrowFont = new Font(dgv.DefaultCellStyle.Font.FontFamily, FontSize * 2);
+                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.No].Style.Font = DrowFont;
 
-            // 行の色を変える
-            for (int i = 0; i < (int)DispGridColumn.BlankFlg; i++)
+                // 行の色を変える
+                for (int i = 0; i < (int)DispGridColumn.BlankFlg; i++)
+                {
+                    dgv.Rows[LineCnt].Cells[i].Style.ForeColor = Color.White;
+                    dgv.Rows[LineCnt].Cells[i].Style.BackColor = Color.Black;
+                }
+            }
+            else
             {
-                dgv.Rows[LineCnt].Cells[i].Style.ForeColor = Color.White;
-                dgv.Rows[LineCnt].Cells[i].Style.BackColor = Color.Black;
+                // データセット
+                int LineCnt = m_CostsRowCount[(int)CostsRowLine.AllTotalRowLine];
+                if (LineCnt == 0) return;
+                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value = EstimatePriceValue.ToString("#,0");
+                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.NegotiationPrice].Value = NegotiationPriceValue.ToString("#,0");
+                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.HopePrice].Value = HopePriceValue.ToString("#,0");
+                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.ExecPrice].Value = ExecPriceValue.ToString("#,0");
+                dgv.Rows[LineCnt].Cells[(int)DispGridColumn.Percent].Value = CalculattionPercent((double)ExecPriceValue).ToString("0.00");
             }
-
         }
         #endregion
 
@@ -1089,6 +1243,11 @@
                 // 総計グリッドを読込専用にする
                 dgvAllDisplay.ReadOnly = true;
 
+                // 各グループボックスを使用禁止にする
+                pnlGroup1.Enabled = false;
+                pnlGroup2.Enabled = false;
+                pnlGroup3.Enabled = false;
+
                 // データ編集に関するボタンを非表示にする
                 btnDataEntry.Visible = false;                       // 登録ボタン
                 btnDataDelete.Visible = false;                      // 削除ボタン
@@ -1119,7 +1278,7 @@
                 m_frmAuthorizerList.LocationPoint = new Point(this.Right, this.Top);
 
                 // タスクバーに表示しない
-                m_frmAuthorizerList.ShowInTaskbar = false;
+                //m_frmAuthorizerList.ShowInTaskbar = false;
 
                 // クロースドハンドラをこちらで定義する
                 m_frmAuthorizerList.FormClosed += new FormClosedEventHandler(FrmApprovalAuthorizerList_FormClosed);
@@ -1132,92 +1291,6 @@
         }
         #endregion
 
-        #region 着工・完了日選択画面を表示
-        /// <summary>
-        /// 着工・完了日選択画面を表示する
-        /// </summary>
-        private void DispSelectDateControl(bool bStart)
-        {
-            try
-            {
-                // 着工・完了日選択画面表示
-                m_frmSelectDate = new FrmSelectDate();
-                // パラメータセット
-                m_frmSelectDate.ConstructionCode = m_ConstructionCode;
-                m_frmSelectDate.StartDateFlg = bStart;
-                if (bStart)
-                    m_frmSelectDate.ExcuteDate = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
-                else
-                    m_frmSelectDate.ExcuteDate = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
-
-                // タスクバーに表示しない
-                //m_frmSelectDate.ShowInTaskbar = false;
-
-                // クロースドハンドラをこちらで定義する
-                m_frmSelectDate.FormClosed += new FormClosedEventHandler(FrmSelectDate_FormClosed);
-                m_frmSelectDate.ShowDialog();
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 工事予算書データ読込時・指導員データ判定
-        /// <summary>
-        /// 工事予算書データ読込時、指導員データが変わっていた場合の処理
-        /// </summary>
-        /// <param name="DetailRec"></param>
-        private void InitDispDataTitile_InstructorCosts(ConstructionBudgetDetail DetailRec)
-        {
-            try
-            {
-                DataGridView dgv = dgvAllDisplay;
-
-                // 指導員データ取得
-                double dOrderCosts = DetailRec.OrderDesiredAmount;
-                double dExecCosts = DetailRec.ExecutionAmount;
-                double dRate = DetailRec.AmountConfigRate;
-                string FirstString = DetailRec.FirstString;
-                string SecondString = DetailRec.SecondString;
-                // 指導員が工事情報に設定されていない場合
-                if (m_ConstructionBaseInfo.ConstructionInstructor == 0)
-                {
-                    // ０以外の場合はクリア
-                    if (DetailRec.ExecutionAmount != 0)
-                    {
-                        dOrderCosts = 0;
-                        dExecCosts = 0;
-                        dRate = 0;
-                        FirstString = string.Empty;
-                        SecondString = string.Empty;
-                    }
-                }
-                else
-                {
-                    // 設定されているのに金額が０の場合へ計算する
-                    if (DetailRec.ExecutionAmount == 0)
-                    {
-                        // 指導員データ作成
-                        CreateInstructorData(ref dExecCosts, ref FirstString, ref SecondString);
-                        dOrderCosts = dExecCosts;
-                    }
-                }
-                DetailRec.FirstString = FirstString;                            // 項目
-                DetailRec.SecondString = SecondString;                          // 工事内容
-                DetailRec.OrderDesiredAmount = dOrderCosts;                     // 発注希望金額
-                DetailRec.ExecutionAmount = dExecCosts;                         // 実行金額
-                DetailRec.AmountConfigRate = CalculattionPercent(dExecCosts);   // 金額構成率
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-
-        }
-        #endregion
-
         #region 工事予算書データ読込時タイトル表示
         /// <summary>
         /// 工事予算書データ読込時タイトルが無いグループがあるので判定する
@@ -1224,7 +1297,7 @@
         /// </summary>
         /// <param name="DetailRec"></param>
         /// <param name="GroupNo"></param>
-        private void InitDispDataTitile(ConstructionBudgetDetail DetailRec, int GroupNo)
+        private void InitDispDataTitle(ConstructionBudgetDetail DetailRec, int GroupNo)
         {
             DataGridView dgv = dgvAllDisplay;
 
@@ -1278,6 +1351,13 @@
                     m_CostsRowCount[(int)CostsRowLine.DisposeCostsRowLine] = dgv.RowCount;
                     bReturnFlg = true;
                     break;
+                // 粗利益
+                case (int)GroupName_ConstructionBudget.GrossProfit:
+                    // 空行を入れる
+                    AddEmptyRow();
+                    m_CostsRowCount[(int)CostsRowLine.GrossProfitRowLine] = dgv.RowCount;
+                    bReturnFlg = true;
+                    break;
                 // 指導員給与
                 case (int)GroupName_ConstructionBudget.InstructorCosts:
                     // 空白行
@@ -1284,16 +1364,14 @@
                     AddEmptyRow();
                     m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] = dgv.RowCount;
                     bReturnFlg = true;
-                    InitDispDataTitile_InstructorCosts(DetailRec);
+                    //InitDispDataTitle_InstructorCosts(DetailRec);
                     break;
-                // 粗利益
-                case (int)GroupName_ConstructionBudget.GrossProfit:
-                    // 指導員給与が無い場合は空行を入れる
-                    if (m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] == 0) AddEmptyRow();
-                    m_CostsRowCount[(int)CostsRowLine.GrossProfitRowLine] = dgv.RowCount;
+                // 副担当者給与経費
+                case (int)GroupName_ConstructionBudget.AssistantCosts:
+                    m_CostsRowCount[(int)CostsRowLine.AssistantRowLine] = dgv.RowCount;
                     bReturnFlg = true;
                     break;
-                // 給与経費
+                // 担当者給与経費
                 case (int)GroupName_ConstructionBudget.PayrollExpenses:
                     m_CostsRowCount[(int)CostsRowLine.ConstructorRowLine] = dgv.RowCount;
                     bReturnFlg = true;
@@ -1308,7 +1386,7 @@
             if (bReturnFlg) return;
 
             // グループ名表示
-            CreateTitileRow(DetailRec.GroupCount, GroupTitile[DetailRec.GroupCount]);
+            CreateTitleRow(DetailRec.GroupCount, GroupTitle[DetailRec.GroupCount]);
 
             // カウンタ等クリア
             GroupNo = DetailRec.GroupCount;
@@ -1341,40 +1419,27 @@
                 int GroupNo = (int)GroupName_ConstructionBudget.Expenses;
                 int icnt = 1;
                 // グループ名表示
-                CreateTitileRow(GroupNo, GroupTitile[GroupNo]);
+                CreateTitleRow(GroupNo, GroupTitle[GroupNo]);
                 foreach (ConstructionBudgetDetail DetailRec in DetailList)
                 {
                     // グループ番号が違えばタイトル行表示
                     if (GroupNo != DetailRec.GroupCount)
                     {
-                            // 指導員金額より前のグループ番号は必ず連番にする（グループタイトルが抜けるのを防止するため）
-                        if ((GroupNo + 1) != DetailRec.GroupCount)
+                        // 指導員金額より前のグループ番号は必ず連番にする（グループタイトルが抜けるのを防止するため）
+                        if ((GroupNo + 1) != DetailRec.GroupCount && DetailRec.GroupCount < (int)GroupName_ConstructionBudget.InstructorCosts)
                         {
+                            // 現在レコードの番号までグループタイトルを表示する
                             for (int i = (GroupNo + 1); i < DetailRec.GroupCount; i++)
                             {
-                                // 16期より前は指導員金額・担当者給与・純利益を表示しない
-                                if (m_ConstructionBaseInfo.ConstructionPeriod < 16)
-                                {
-                                    switch (DetailRec.GroupCount + 1)
-                                    {
-                                        // 指導員給与
-                                        case (int)GroupName_ConstructionBudget.InstructorCosts:
-                                        // 給与経費
-                                        case (int)GroupName_ConstructionBudget.PayrollExpenses:
-                                        // 純利益
-                                        case (int)GroupName_ConstructionBudget.NetIncome:
-                                            continue;
-                                    }
-                                }
-
+                                // 未設定グループタイトル表示
                                 ConstructionBudgetDetail DummyRec = new ConstructionBudgetDetail();
                                 DummyRec.GroupCount = i;
-                                InitDispDataTitile(DummyRec, i);
+                                InitDispDataTitle(DummyRec, i);
                             }
                         }
 
                         // 工事予算書データ読込時タイトル処理
-                        InitDispDataTitile(DetailRec, GroupNo);
+                        InitDispDataTitle(DetailRec, GroupNo);
                         GroupNo = DetailRec.GroupCount;
                         icnt = 1;
                     }
@@ -1398,9 +1463,9 @@
                     RowData[(int)DispGridColumn.GroupCount] = DetailRec.GroupCount;
                     RowData[(int)DispGridColumn.ItemName] = DetailRec.FirstString;
                     RowData[(int)DispGridColumn.TextName] = DetailRec.SecondString;
-                    RowData[(int)DispGridColumn.SubContractorType] = DetailRec.CompanyType;
-                    RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyCode;
-                    RowData[(int)DispGridColumn.SubContractorName] = DetailRec.CompanyName;
+                    RowData[(int)DispGridColumn.CompanyType] = DetailRec.CompanyType;
+                    RowData[(int)DispGridColumn.CompanyCode] = DetailRec.CompanyCode;
+                    RowData[(int)DispGridColumn.CompanyName] = DetailRec.CompanyName;
                     // 共通仮設費・外注費・自社施工のみ積算金額がある
                     if (DetailRec.GroupCount == (int)GroupName_ConstructionBudget.CommonTempCosts ||
                         DetailRec.GroupCount == (int)GroupName_ConstructionBudget.OutSourceCosts ||
@@ -1414,40 +1479,42 @@
                     RowData[(int)DispGridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
                     //RowData[(int)DispGridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
                     RowData[(int)DispGridColumn.Percent] = CalculattionPercent(DetailRec.ExecutionAmount).ToString("0.00");
+                    // 協力業社交渉フラグ
+                    RowData[(int)DispGridColumn.Negotiation] = s_NegoStr[DetailRec.NegotiateFlg];
 
                     // 行セット
-                    bool bEnable = false;
-                    // 共通仮設費・外注費・自社施工のみ積算金額がある
                     switch (DetailRec.GroupCount)
                     {
-                        case (int)GroupName_ConstructionBudget.GrossProfit:         // 粗利益
-                        case (int)GroupName_ConstructionBudget.NetIncome:           // 純利益
-                        case (int)GroupName_ConstructionBudget.InstructorCosts:     // 指導員給与
-                        case (int)GroupName_ConstructionBudget.PayrollExpenses:     // 給与経費
-                            bEnable = true;
+                        case (int)GroupName_ConstructionBudget.PayrollExpenses:
+                            // 担当者給与
+                            CreatePayrollCosts(true);
                             break;
+                        case (int)GroupName_ConstructionBudget.AssistantCosts:
+                            // 副担当者給与
+                            CreateAssistantCosts(true);
+                            break;
+                        case (int)GroupName_ConstructionBudget.InstructorCosts:
+                            // 指導員給与
+                            CreateInstructorCosts(true);
+                            break;
+                        case (int)GroupName_ConstructionBudget.GrossProfit:
+                            // 粗利益行計算
+                            CreateGrossProfit(true);
+                            break;
+                        case (int)GroupName_ConstructionBudget.NetIncome:
+                            // 純利益計算
+                            CreateNetIncome(true);
+                            break;
+                        default:
+                            // 通常は行作成
+                            CreateDataRow(RowData, false);
+                            break;
                     }
-                    // 協力業社交渉フラグ
-                    RowData[(int)DispGridColumn.Negotiation] = s_NegoStr[DetailRec.NegotiateFlg];
-
-                    CreateDataRow(RowData, bEnable);
                     icnt++;
-
-                    // 給与の内容は毎回更新する
-                    if (DetailRec.GroupCount == (int)GroupName_ConstructionBudget.PayrollExpenses)
-                    {
-                        CreatePayrollExpenses(false);
-                    }
                 }
 
-                // 粗利益行計算
-                CalculateGrossProfit();
-
-                // 純利益計算
-                CalculateNetIncome();
-
                 // 合計金額
-                CreateAllTotal();
+                CreateAllTotal(true);
 
                 return true;
             }
@@ -1531,7 +1598,7 @@
             try
             {
                 // グループ名表示
-                CreateTitileRow((int)GroupName_ConstructionBudget.CommonTempCosts, GroupTitile[(int)GroupName_ConstructionBudget.CommonTempCosts]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.CommonTempCosts, GroupTitle[(int)GroupName_ConstructionBudget.CommonTempCosts]);
 
                 // データ読込
                 List<EstimateBudgetDetail> DetailList = new List<EstimateBudgetDetail>();
@@ -1590,7 +1657,7 @@
             try
             {
                 // グループ名表示
-                CreateTitileRow((int)GroupName_ConstructionBudget.CommonTempCosts, GroupTitile[(int)GroupName_ConstructionBudget.CommonTempCosts]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.CommonTempCosts, GroupTitle[(int)GroupName_ConstructionBudget.CommonTempCosts]);
 
                 // データ読込
                 string strSQL = string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
@@ -1611,9 +1678,9 @@
                     RowData[(int)DispGridColumn.FixFlg] = "*";
                     RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.CommonTempCosts;
                     RowData[(int)DispGridColumn.ItemName] = DetailRec.ItemName;
-                    RowData[(int)DispGridColumn.SubContractorType] = "0";
-                    RowData[(int)DispGridColumn.SubContractorCode] = "0";
-                    RowData[(int)DispGridColumn.SubContractorName] = "";
+                    RowData[(int)DispGridColumn.CompanyType] = "0";
+                    RowData[(int)DispGridColumn.CompanyCode] = "0";
+                    RowData[(int)DispGridColumn.CompanyName] = "";
                     RowData[(int)DispGridColumn.EstimatePrice] = DetailRec.LineTotal.ToString("#,0");
                     RowData[(int)DispGridColumn.NegotiationPrice] = "0";
                     RowData[(int)DispGridColumn.HopePrice] = DetailRec.LineTotal.ToString("#,0");
@@ -1653,7 +1720,7 @@
             try
             {
                 // グループ名表示
-                CreateTitileRow((int)GroupName_ConstructionBudget.OutSourceCosts, GroupTitile[(int)GroupName_ConstructionBudget.OutSourceCosts]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.OutSourceCosts, GroupTitle[(int)GroupName_ConstructionBudget.OutSourceCosts]);
 
                 // 外注費の行カウントを取得する
                 m_CostsRowCount[(int)CostsRowLine.OutSourceCostsLine] = dgvAllDisplay.RowCount - 1;
@@ -1674,9 +1741,9 @@
                     RowData[(int)DispGridColumn.FixFlg] = "*";
                     RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.OutSourceCosts;
                     RowData[(int)DispGridColumn.ItemName] = DetailRec.SecondString;
-                    RowData[(int)DispGridColumn.SubContractorType] = 0;
-                    RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyCode;
-                    RowData[(int)DispGridColumn.SubContractorName] = DetailRec.FirstString;
+                    RowData[(int)DispGridColumn.CompanyType] = 0;
+                    RowData[(int)DispGridColumn.CompanyCode] = DetailRec.CompanyCode;
+                    RowData[(int)DispGridColumn.CompanyName] = DetailRec.FirstString;
                     RowData[(int)DispGridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
                     RowData[(int)DispGridColumn.NegotiationPrice] = DetailRec.NegotiationPrice.ToString("#,0");
                     RowData[(int)DispGridColumn.HopePrice] = DetailRec.NegotiationPrice.ToString("#,0");
@@ -1716,7 +1783,7 @@
             try
             {
                 // グループ名表示
-                CreateTitileRow((int)GroupName_ConstructionBudget.OutSourceCosts, GroupTitile[(int)GroupName_ConstructionBudget.OutSourceCosts]);
+                CreateTitleRow((int)GroupName_ConstructionBudget.OutSourceCosts, GroupTitle[(int)GroupName_ConstructionBudget.OutSourceCosts]);
 
                 // 外注費の行カウントを取得する
                 m_CostsRowCount[(int)CostsRowLine.OutSourceCostsLine] = dgvAllDisplay.RowCount - 1;
@@ -1836,9 +1903,9 @@
             RowData[(int)DispGridColumn.GroupCount] = (int)GroupName_ConstructionBudget.OutSourceCosts;
             RowData[(int)DispGridColumn.ItemName] = ItemName;
             RowData[(int)DispGridColumn.TextName] = ComponentName;
-            RowData[(int)DispGridColumn.SubContractorType] = 0;
-            RowData[(int)DispGridColumn.SubContractorCode] = CompanyCode;
-            RowData[(int)DispGridColumn.SubContractorName] = CompanyName;
+            RowData[(int)DispGridColumn.CompanyType] = 0;
+            RowData[(int)DispGridColumn.CompanyCode] = CompanyCode;
+            RowData[(int)DispGridColumn.CompanyName] = CompanyName;
             RowData[(int)DispGridColumn.EstimatePrice] = SumaryValue.ToString("#,0");
             RowData[(int)DispGridColumn.NegotiationPrice] = "0"; ;
             RowData[(int)DispGridColumn.HopePrice] = SumaryValue.ToString("#,0");
